[arch-commits] CVS update of extra/lib/perl-net-dns-resolver-programmable (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Jun 30 08:42:52 EDT 2007


    Date: Saturday, June 30, 2007 @ 08:42:52
  Author: jgc
    Path: /home/cvs-extra/extra/lib/perl-net-dns-resolver-programmable

   Added: PKGBUILD (1.1)

upgpkg: perl-net-dns-resolver-programmable 0.003-1
Add new package as makedependency for perl-mail-spf


----------+
 PKGBUILD |   26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)


Index: extra/lib/perl-net-dns-resolver-programmable/PKGBUILD
diff -u /dev/null extra/lib/perl-net-dns-resolver-programmable/PKGBUILD:1.1
--- /dev/null	Sat Jun 30 08:42:51 2007
+++ extra/lib/perl-net-dns-resolver-programmable/PKGBUILD	Sat Jun 30 08:42:52 2007
@@ -0,0 +1,26 @@
+# $Id: PKGBUILD,v 1.1 2007/06/30 12:42:52 jgc Exp $
+
+pkgname=perl-net-dns-resolver-programmable
+pkgver=0.003
+pkgrel=1
+pkgdesc="A Net::DNS::Resolver descendant class for offline emulation of DNS"
+arch=(i686 x86_64)
+license=('GPL')
+depends=('perl-version')
+makedepends=('perl-module-build')
+options=('!emptydirs')
+source=(http://search.cpan.org/CPAN/authors/id/J/JM/JMEHNLE/net-dns-resolver-programmable/Net-DNS-Resolver-Programmable-v${pkgver}.tar.gz)
+md5sums=('8d44bf331d6115e7fb4ea21f6cf4b96b')
+
+build() {
+  cd $startdir/src/Net-DNS-Resolver-Programmable-v${pkgver}
+  eval `perl -V:archname`
+  perl Makefile.PL \
+      INSTALLARCHLIB=/usr/lib/perl5/current/${archname} \
+      INSTALLSITELIB=/usr/lib/perl5/site_perl/current \
+      INSTALLSITEARCH=/usr/lib/perl5/site_perl/current/${archname}
+  make || return 1
+  make install DESTDIR=${startdir}/pkg
+
+  find ${startdir}/pkg -name '.packlist' -exec rm -f {} \;
+}




More information about the arch-commits mailing list